"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createIntegrationInstance = void 0;
const tslib_1 = require("tslib");
const integration_query_1 = require("../integration-hub-queries/integration-query");
function createIntegrationInstance(urqlClient, vars) {
    var _a, _b, _c, _d, _e, _f, _g;
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const response = yield gqlCreateIntegrationInstance(urqlClient, vars);
        if (response.data && ((_a = response.data.createInstance) === null || _a === void 0 ? void 0 : _a.instance)) {
            const instance = response.data.createInstance.instance;
            return {
                success: true,
                data: instance,
            };
        }
        else if ((_c = (_b = response.data) === null || _b === void 0 ? void 0 : _b.createInstance) === null || _c === void 0 ? void 0 : _c.errors) {
            return {
                success: false,
                error: new Error(`[errors: ${(_e = (_d = response.data) === null || _d === void 0 ? void 0 : _d.createInstance) === null || _e === void 0 ? void 0 : _e.errors.map((error) => `[${error.messages}]`)}`),
            };
        }
        else {
            return {
                success: false,
                error: new Error(`[${(_f = response.error) === null || _f === void 0 ? void 0 : _f.name} - ${(_g = response.error) === null || _g === void 0 ? void 0 : _g.message}] ${JSON.stringify(response.error)}`),
            };
        }
    });
}
exports.createIntegrationInstance = createIntegrationInstance;
function gqlCreateIntegrationInstance(urqlClient, vars) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return urqlClient.mutation(integration_query_1.CreateInstanceDocument, vars).toPromise();
    });
}
