"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkGateway = void 0;
const tslib_1 = require("tslib");
function checkGateway(client, gatewaySlug) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const gateways = yield client.Gateways.All();
        const epPaymentGateway = gateways.data.find((x) => x.slug === gatewaySlug);
        if (epPaymentGateway && epPaymentGateway.enabled) {
            return {
                success: true,
                data: epPaymentGateway,
            };
        }
        return {
            success: false,
            error: new Error(`${gatewaySlug} gateway is not enabled`),
        };
    });
}
exports.checkGateway = checkGateway;
