import { __awaiter } from "tslib";
const errMsg = "Failed to enable elastic_path_payments_stripe gateway.";
export function updateEpPaymentGateway(client, accountId) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const updatedGateway = yield client.Gateways.Update("elastic_path_payments_stripe", { enabled: true, stripe_account: accountId, test: true });
            if (updatedGateway.data) {
                return {
                    success: true,
                    data: updatedGateway.data,
                };
            }
            return {
                success: false,
                error: new Error(`${errMsg} ${JSON.stringify(updatedGateway)}`),
            };
        }
        catch (err) {
            return {
                success: false,
                error: new Error(`${errMsg} An unknown error occurred ${err instanceof Error
                    ? `${err.name} - ${err.message}`
                    : "Failed to render error."}`),
            };
        }
    });
}
